Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Name:           rhythmbox
Version:       	0.12.6
Release:        1
Summary:        The music management application for GNOME

Group:          Multimedia
License:        GPL
URL:		http://www.gnome.org/projects/rhythmbox/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/rhythmbox/0.11/rhythmbox-%{version}.tar.bz2
Source1: 	rhythmbox-iradio-initial.pls
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686
Requires:	gtk2+ libgnomeui gnome-python
Requires(post): scrollkeeper
Requires(post): desktop-file-utils
Requires(post): GConf
Requires(preun): GConf
Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils
Requires: 	gst-python

BuildRequires: 	libgnomeui-devel >= 2.6.0
BuildRequires: 	scrollkeeper
BuildRequires: 	gnome-vfs-devel >= 2.7.4
BuildRequires: 	gnome-doc-utils
BuildRequires:  gvfs-devel
BuildRequires: 	python26-pygtk
#BuildRequires: 	lirc-devel
BuildRequires: 	gst-python
BuildRequires: 	perl-XML-Parser
BuildRequires: 	xulrunner-devel
# For the libsoup 2.4 patch
BuildRequires: 	intltool autoconf automake libtool gettext check-devel

Patch0: 	rhythmbox-0.12.6-python26.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=499208
Patch1: 	rhythmbox-0.11.3-force-python-thread-init.patch

BuildRequires: poppler-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-media-devel
BuildRequires: gnutls-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libgcrypt-devel
BuildRequires: libglade-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgpod-devel
BuildRequires: libICE-devel
BuildRequires: libmtp-devel
BuildRequires: libmusicbrainz-devel
BuildRequires: libnotify-devel
BuildRequires: libpng-devel
BuildRequires: libproxy-devel
BuildRequires: libsmbios-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libusb-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: nautilus-cd-burner-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: python26-devel
BuildRequires: sqlite-devel
BuildRequires: totem-pl-parser-devel
BuildRequires: util-linux-ng
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
Rhythmbox is an integrated music management application based on the powerful
GStreamer media framework. It has a number of features, including an easy to
use music browser, searching and sorting, comprehensive audio format support
through GStreamer, Internet Radio support, playlists and more.

#%package lirc
#Summary: LIRC (Infrared remote) plugin for Rhythmbox
#Group: Applications/Multimedia
#Requires: %{name} = %{version}-%{release}
#
#%description lirc
#A plugin to add LIRC (Infrared remote) support to Rhythmbox.

%package upnp
Summary: 	UPNP/DLNA plugin for Rhythmbox
Group: 		Multimedia
Requires: 	%{name} = %{version}-%{release}
Requires: 	python-Coherence

%description upnp
A plugin to add support to Rhythmbox, for playing media from, and sending media to
UPnP/DLNA network devices.

%prep
%setup -q
%patch0 -p1 
#%patch1 -p1 -b .python-threading

%build
#autoconf
#autoheader
#automake -a -c

# work around a gstreamer bug
/usr/bin/gst-inspect-0.10 --print-all >& /dev/null || :

%configure  --prefix=%_prefix \
            --libexecdir=`pkg-config \
            --variable=prefix ORBit-2.0`/lib/rhythmbox \
            --sysconfdir=/etc/gnome \
            --localstatedir=/var/lib \
      --with-ipod \
      --with-dbus \
      --with-mdns=avahi \
      --disable-scrollkeeper \
      --enable-tag-writing \
      --with-gnome-keyring \
      --with-metadata-helper \
      --enable-python

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT 
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -f %{buildroot}%{_libdir}/bonobo/*.{a,la}
rm -f %{buildroot}%{_libdir}/bonobo/librb-nautilus-context-menu.so
rm -f %{buildroot}%{_libdir}/rhythmbox/plugins/*.{a,la}
rm -f %{buildroot}%{_libdir}/rhythmbox/plugins/*/*.{a,la}
rm -f %{buildroot}%{_libdir}/librhythmbox-core.{a,la}
rm -f %{buildroot}%{_libdir}/mozilla/plugins/*.{a,la}

%find_lang %name --with-gnome

# Replace the default radios with Ogg Radios
cp -a %{SOURCE1} %{buildroot}%{_libdir}/rhythmbox/plugins/iradio/iradio-initial.pls

# Don't package api docs
rm -rf %{buildroot}/%{_datadir}/gtk-doc/

# install missing artwork image (Gnome BZ#387413)
install -m0644 plugins/artdisplay/rhythmbox-missing-artwork.svg \
  %{buildroot}%{_libdir}/rhythmbox/plugins/artdisplay/

%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/rhythmbox.schemas >/dev/null
update-desktop-database -q
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/rhythmbox.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig
update-desktop-database -q
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/*
%{_sysconfdir}/gnome/gconf/schemas/rhythmbox.schemas
%{_datadir}/rhythmbox/
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox.service
%{_datadir}/icons/hicolor/*/apps/rhythmbox.*
%{_libdir}/librhythmbox-core.so*
%{_libdir}/mozilla/plugins/*.so
%dir %{_libdir}/rhythmbox
%dir %{_libdir}/rhythmbox/plugins
%{_libdir}/rhythmbox/plugins/artdisplay/
%{_libdir}/rhythmbox/plugins/audiocd/
%{_libdir}/rhythmbox/plugins/audioscrobbler/
%{_libdir}/rhythmbox/plugins/cd-recorder/
%{_libdir}/rhythmbox/plugins/daap/
#%{_libdir}/rhythmbox/plugins/dontreallyclose/
%{_libdir}/rhythmbox/plugins/generic-player/
%{_libdir}/rhythmbox/plugins/ipod/
%{_libdir}/rhythmbox/plugins/iradio/
%{_libdir}/rhythmbox/plugins/jamendo/
%{_libdir}/rhythmbox/plugins/lyrics/
%{_libdir}/rhythmbox/plugins/magnatune/
%{_libdir}/rhythmbox/plugins/mmkeys/
%{_libdir}/rhythmbox/plugins/mtpdevice/
%{_libdir}/rhythmbox/plugins/power-manager/
%{_libdir}/rhythmbox/plugins/python-console/
%{_libdir}/rhythmbox/plugins/rb/
%{_libdir}/rhythmbox/plugins/visualizer/
%{_libdir}/rhythmbox/plugins/fmradio/
%{_libdir}/rhythmbox/rhythmbox-metadata
%{_libdir}/rhythmbox/plugins/context/AlbumTab.py
%{_libdir}/rhythmbox/plugins/context/AlbumTab.pyc
%{_libdir}/rhythmbox/plugins/context/AlbumTab.pyo
%{_libdir}/rhythmbox/plugins/context/ArtistTab.py
%{_libdir}/rhythmbox/plugins/context/ArtistTab.pyc
%{_libdir}/rhythmbox/plugins/context/ArtistTab.pyo
%{_libdir}/rhythmbox/plugins/context/ContextView.py
%{_libdir}/rhythmbox/plugins/context/ContextView.pyc
%{_libdir}/rhythmbox/plugins/context/ContextView.pyo
%{_libdir}/rhythmbox/plugins/context/LastFM.py
%{_libdir}/rhythmbox/plugins/context/LastFM.pyc
%{_libdir}/rhythmbox/plugins/context/LastFM.pyo
%{_libdir}/rhythmbox/plugins/context/LyricsTab.py
%{_libdir}/rhythmbox/plugins/context/LyricsTab.pyc
%{_libdir}/rhythmbox/plugins/context/LyricsTab.pyo
%{_libdir}/rhythmbox/plugins/context/__init__.py
%{_libdir}/rhythmbox/plugins/context/__init__.pyc
%{_libdir}/rhythmbox/plugins/context/__init__.pyo
%{_libdir}/rhythmbox/plugins/context/context.rb-plugin
%{_libdir}/rhythmbox/plugins/context/img/lastfm.png
%{_libdir}/rhythmbox/plugins/context/img/spinner.gif
%{_libdir}/rhythmbox/plugins/context/tmpl/album-tmpl.html
%{_libdir}/rhythmbox/plugins/context/tmpl/artist-tmpl.html
%{_libdir}/rhythmbox/plugins/context/tmpl/loading.html
%{_libdir}/rhythmbox/plugins/context/tmpl/lyrics-tmpl.html
%{_libdir}/rhythmbox/plugins/context/tmpl/main.css
%{_libdir}/rhythmbox/plugins/im-status/__init__.py
%{_libdir}/rhythmbox/plugins/im-status/__init__.pyc
%{_libdir}/rhythmbox/plugins/im-status/__init__.pyo
%{_libdir}/rhythmbox/plugins/im-status/im-status.rb-plugin
%{_libdir}/rhythmbox/plugins/status-icon/libstatus-icon.so
%{_libdir}/rhythmbox/plugins/status-icon/status-icon-preferences.ui
%{_libdir}/rhythmbox/plugins/status-icon/status-icon-ui.xml
%{_libdir}/rhythmbox/plugins/status-icon/status-icon.rb-plugin


#%files lirc
#%defattr(-, root, root)
#%{_libdir}/rhythmbox/plugins/lirc

%files upnp
%defattr(-, root, root)
%{_libdir}/rhythmbox/plugins/upnp_coherence


%changelog
* Sun Jan 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.12.6-1
- version update
* Sat Aug 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.11.6-1
- version update
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.11.5-2
- rebuilt against gnutls 2.2.2
* Tue Mar 18 2008 Christian Metzen <metzench@ccux-linux.de> 0.11.5-1
- Version update
* Sun Nov 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.10.1-1
- Initial release
